*************This table reproduces the Heckman and 2SLS estimates in Tables 3 and 5 

cap log close

log using c:\documenti\res\newdata\aer\Table6_2size.smcl, replace

* use cross section data


gen epres =pres
gen emaj = maj

*here we have same specification for first stage of emaj and pres. It includes all variables used in IV first stage 
*(eurfrac engfrac lpop avelf lpop) plus laam, and except for the condates variables


*column 1
treatreg cgexp epres age lyp trade lpop prop1564 prop65 gastil federal oecd africa asiae laam col_uka col_espa col_otha, treat(emaj = engfrac eurfrac lat01 avelf lpop laam)
*outreg epres emaj using output\stata\tables\Table6_1size.doc, bdec(2) se nocons 3aster replace

*column 2
treatreg cgexp emaj age lyp trade lpop prop1564 prop65 gastil federal oecd africa asiae laam col_uka col_espa col_otha, treat(epres =  engfrac eurfrac lat01 avelf lpop laam)
*outreg emaj epres using output\stata\tables\Table6_1size.doc, bdec(2) se nocons 3aster append


* common set of regressors: con2150 con5180 con81 engfrac eurfrac lpop
* then epres adds lat01 age, while emaj adds avelf

*column 3
reg epres con2150 con5180 con81 engfrac eurfrac lat01 age if cgexp ~=. & prop65 ~=., robust
*outreg using output\stata\tables\Table_constrf.doc, bdec(2) se nocons 3aster adjr2 replace
test con2150   = 0, notest
test con5180   = 0, accumulate notest
test con81     = 0, accumulate

predict epre

reg emaj con2150 con5180 con81 engfrac eurfrac lpop avelf if cgexp ~=. & prop65 ~=., robust
*outreg using output\stata\tables\Table_constrf.doc, bdec(2) se nocons 3aster adjr2 append
test con2150   = 0, notest
test con5180   = 0, accumulate notest
test con81     = 0, accumulate

predict ema

reg cgexp epre ema age lyp trade oecd gastil prop1564 prop65 federal lpop col_uka 
*outreg epre ema using output\stata\tables\Table6_2size.doc, bdec(2) se nocons 3aster adjr2 replace

rename epre eprehold 
rename ema emahold
rename epres epre 
rename emaj ema
predict double res if engfrac ~=., residual 
ren epre epres
ren ema emaj
ren eprehold epre
ren emahold ema
gen res_test = res
replace res = res^2

summarize res 
scalar realmse = r(mean)*r(N)/e(df_r) 

 matrix bmatrix = e(b) 
 matrix Vmatrix = e(V)
 matrix Vmatrix = e(V) * realmse/ e(rmse)^2 

display realmse
display e(rmse)^2

ereturn post bmatrix Vmatrix, noclear 
ereturn display 

reg res_test con2150 con5180 con81 engfrac eurfrac avelf lat01 age lyp trade lpop oecd gastil prop1564 prop65 federal col_uka

* print test statistic 

display `e(N)'*`e(r2)'

* the critical value is given by 

display invchi2tail(5,0.05)

* n of endogenous vars: 2  n. of instruments: 7


***** for column 4, repeat by adding col_uka among the controls

****** For Table 5, proceed in similar fashion but redefine the dependent variable as ssw

log close
