****This table computes the matching estimates reported in table 5
****Some special ado files are needed to run this program


cap log close
*start the log file*
**use cross section data 

*cd c:\res\newdata\crossec86\
*log using output\stata\Table3_1comp_match_bis, replace

gen emaj= maj
gen epres=pres
gen eparl= 1-epres
gen epro= 1-emaj

* Perform alpha estimates of treatment effect
* on ssw of binomial treatment(emaj or epres)with
* nearest neighbor, stratification and kernel matching 
* and different specifications of logits 

* start by minimal logit oriented towards conditional independence
 
*logit for emaj and epro
logit emaj lyp prop65 gastil federal col_uka laam 
predict pT if ssw ~= .
logit epro lyp prop65 gastil federal col_uka laam 
predict pC if ssw ~= .

sort pT
l country pT emaj

alphaNearest emaj epro ssw 
bs "alphaNearest emaj epro ssw"  "r(alpha)", reps(200) 

alphaStrat emaj epro ssw 
bs "alphaStrat emaj epro ssw"  "r(alpha)", reps(200)

alphaKernel emaj epro ssw 
bs "alphaKernel emaj epro ssw"  "r(alpha)", reps(200)

drop pT pC

* logit for epres and eparl 

logit epres lyp prop65 gastil federal col_uka laam 
predict pT if ssw ~= .
logit eparl lyp prop65 gastil federal col_uka laam 
predict pC if ssw ~= .

sort pT 
l country pT epres

alphaNearest epres eparl ssw  
bs "alphaNearest epres eparl ssw"  "r(alpha)", reps(200) 

alphaStrat epres eparl ssw 
bs "alphaStrat epres eparl ssw"  "r(alpha)", reps(200)

alphaKernel epres eparl ssw 
bs "alphaKernel epres eparl ssw"  "r(alpha)", reps(200)

drop pT pC

log close 
