****This program computes the matching estimates reported in Table 3
***Some special ado files are needed to run this program

cap log close

* use cross section data


gen emaj= maj
gen epres=pres
gen eparl= 1-epres
gen epro= 1-emaj


*start the log file*

*cd c:\res\newdata\crossec86\
*log using output\stata\Table3_1size_match, replace


* Perform alpha estimates of treatment effect
* on cgexp of binomial treatment(emaj or epres)with
* nearest neighbor, stratification and kernel matching 
* and different specifications of logits 

* start by minimal logit oriented towards conditional independence
 
*logit for emaj and epro
logit emaj lyp prop65 gastil federal col_uka laam 
predict pT if cgexp ~= .
logit epro lyp prop65 gastil federal col_uka laam 
predict pC if cgexp ~= .

sort pT
l country pT emaj

alphaNearest emaj epro cgexp 
bs "alphaNearest emaj epro cgexp"  "r(alpha)", reps(200) 

alphaStrat emaj epro cgexp 
bs "alphaStrat emaj epro cgexp"  "r(alpha)", reps(200)

alphaKernel emaj epro cgexp 
bs "alphaKernel emaj epro cgexp"  "r(alpha)", reps(200)

drop pT pC

* logit for epres and eparl 

logit epres lyp prop65 gastil federal col_uka laam 
predict pT if cgexp ~= .
logit eparl lyp prop65 gastil federal col_uka laam 
predict pC if cgexp ~= .

sort pT 
l country pT epres

alphaNearest epres eparl cgexp  
bs "alphaNearest epres eparl cgexp"  "r(alpha)", reps(200) 

alphaStrat epres eparl cgexp 
bs "alphaStrat epres eparl cgexp"  "r(alpha)", reps(200)

alphaKernel epres eparl cgexp 
bs "alphaKernel epres eparl cgexp"  "r(alpha)", reps(200)

drop pT pC

log close 
